Online Services - Supported Browsers

Minimum Browser Requirements

Using the latest internet browser helps improve your security. In order to access all Transportation Services online forms, you will need to use one of the following browsers:

  • Microsoft Edge
  • Internet Explorer 9 or later
  • Mozilla Firefox 25 or later
  • Google Chrome 31 or later
  • Apple Safari 7 or later

These browsers have been tested and confirmed to work with our online forms. Older browsers such as Internet Explorer 8 and below may not work correctly.

If you are not using a supported browser, please upgrade to the latest version before attempting to access our online forms. Instructions on how to update your browser can be found on the following websites: